> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Créer un attribut

> Crée un attribut.

Crée un attribut.

```json Corps de la requête theme={null}
{
  "name": "Taille"
}
```


## OpenAPI

````yaml openapi.json POST /attributes
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /attributes:
    post:
      summary: Create an attribute
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"name" is required (enter it either in parameters or request body)_
          in: query
          name: name
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                name:
                  nullable: false
                  type: string
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  insertAttributesOne:
                    nullable: true
                    properties:
                      id:
                        nullable: false
                        type: integer
                      name:
                        nullable: false
                        type: string
                    type: object
          description: Response

````